Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::appearance_node Class Reference

Inheritance diagram for openvrml::vrml97_node::appearance_node:

[legend]
List of all members.

## Detailed Description

Appearance node instances.

## Public Member Functions

| appearance_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~appearance_node () throw ()
| Destroy.
virtual bool | modified () const
| Determine whether the node has been modified.
virtual const node_ptr & | material () const throw ()
| Get the material node.
virtual const node_ptr & | texture () const throw ()
| Get the texture node.
virtual const node_ptr & | texture_transform () const throw ()
| Get the texture transform node.

## Private Member Functions

virtual void | do_render_appearance (viewer &v, rendering_context context)
| render_appearance implementation.

## Private Attributes

exposedfield< sfnode > | material_
| material exposedField.
exposedfield< sfnode > | texture_
| texture exposedField.
exposedfield< sfnode > | texture_transform_
| textureTransform exposedField.

## Friends

class | appearance_class
| Class object for Appearance nodes.

## Constructor & Destructor Documentation

openvrml::vrml97_node::appearance_node::appearance_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the node instance.
  | scope | the scope to which the node belongs.

Reimplemented from openvrml::appearance_node.

openvrml::vrml97_node::appearance_node::~appearance_node | ( |  | ) | throw ()`[virtual]`

| Destroy. Implements openvrml::appearance_node.

## Member Function Documentation

bool openvrml::vrml97_node::appearance_node::modified | ( |  | ) | const`[virtual]`

Determine whether the node has been modified.

Returns:
  `true` if the node or one of its children has been modified, `false` otherwise.

Reimplemented from openvrml::node.

const node_ptr & openvrml::vrml97_node::appearance_node::material | ( |  | ) | const throw ()`[virtual]`

Get the material node.

Returns:
  an sfnode object containing the Material node associated with this Appearance.

Implements openvrml::appearance_node.

const node_ptr & openvrml::vrml97_node::appearance_node::texture | ( |  | ) | const throw ()`[virtual]`

Get the texture node.

Returns:
  an sfnode object containing the texture node associated with this Appearance.

Implements openvrml::appearance_node.

const node_ptr & openvrml::vrml97_node::appearance_node::texture_transform | ( |  | ) | const throw ()`[virtual]`

Get the texture transform node.

Returns:
  an sfnode object containing the TextureTransform node associated with this Appearance.

Implements openvrml::appearance_node.

void openvrml::vrml97_node::appearance_node::do_render_appearance | ( | viewer & | v,
|  | rendering_context | context
| ) | `[private, virtual]`

render_appearance implementation.

Parameters:

  | v | viewer.
  | context | rendering_context.

Reimplemented from openvrml::appearance_node.

## Friends And Related Function Documentation

openvrml::vrml97_node::appearance_node::appearance_class`[friend]`

| Class object for Appearance nodes.

## Member Data Documentation

exposedfield< sfnode > openvrml::vrml97_node::appearance_node::material_ `[private]`

| material exposedField.

exposedfield< sfnode > openvrml::vrml97_node::appearance_node::texture_ `[private]`

| texture exposedField.

exposedfield< sfnode > openvrml::vrml97_node::appearance_node::texture_transform_ `[private]`

| textureTransform exposedField.